<div class="container">
  <form [formGroup]="form">
    <h1>
      Register Author
    </h1>
    <hr>
    <div class="row">
      <h4>Personal Information:</h4>
    </div>
    <div class="row p-2">
      <div class="col">
        <label>Firstname: </label>
      </div>
      <div class="col">
        <input type="text" id="firstname" formControlName="firstname" placeholder="Firstname" >
        <p class="alert-danger alert" *ngIf="form.get('firstname').touched && form.get('firstname').invalid">Firstname is required</p>
      </div>
    </div>

    <div class="row p-2">
      <div class="col">
        <label>Lastname: </label>
      </div>
      <div class="col">
        <input type="text" formControlName="lastname" placeholder="Lastname">
        <p class="alert-danger alert" *ngIf="form.get('lastname').touched && form.get('lastname').invalid">Lastname is required</p>
      </div>
    </div>

    <div class="row p-2 check-group">
      <div class="col">
        <label>Gender: </label>
      </div>

      <div class="col p-2">
        <div class="form-check">
          <input class="form-check-input" type="radio" value="Male" id="flexRadioDefault1" formControlName="gender" [checked]="true">
          <label class="form-check-label" for="flexRadioDefault1">
            Male
          </label>
        </div>
        <div class="form-check">
          <input class="form-check-input" type="radio" value="Female" id="flexRadioDefault2" formControlName="gender" >
          <label class="form-check-label" for="flexRadioDefault2">
            Female
          </label>
        </div>
        <div class="form-check">
          <input class="form-check-input" type="radio" value="Other" id="flexRadioDefault3" formControlName="gender">
          <label class="form-check-label" for="flexRadioDefault2">
            Other
          </label>
        </div>

      </div>
    </div>
    <div class="row p-2">
      <div class="col">
        <label>Phone number: </label>
      </div>
      <div class="col">
        <input type="text" formControlName="phoneNumber" placeholder="+355***">
        <p class="alert-danger alert" *ngIf="form.get('phoneNumber').touched && form.get('phoneNumber').invalid">Phone number is required</p>
      </div>
    </div>
    <div class="row p-2">
      <div class="col">
        <label>Email: </label>
      </div>
      <div class="col">
        <input type="email" formControlName="email" placeholder="Email">
        <div *ngIf="form.get('email').invalid && form.get('email').touched">
          <p class="alert-danger alert" *ngIf="form.get('email').errors?.invalid">Email is required</p>
          <!--<p class="alert-danger alert" *ngIf="form.get('email').errors?.emailValidation()">Email pattern is not correct</p>-->
        </div>
      </div>
    </div>
    <div class="row p-2">
      <div class="col">
        <label>Password: </label>
      </div>
      <div class="col">
        <input type="password"  formControlName="password" placeholder="Password">
        <p class="alert-danger alert" *ngIf="form.get('password').touched && form.get('password').invalid">Password is required</p>
      </div>
    </div>
    <div class="row p-2">
      <div class="col">
        <label>Confirm Password: </label>
      </div>
      <div class="col">
        <input type="password"  formControlName="confirmPassword" placeholder="Confirm password">
        <p class="alert-danger alert" *ngIf="form.get('confirmPassword').touched && form.get('confirmPassword').invalid">Confirm password field is required</p>
      </div>
    </div>
    <button class="btn btn-primary" (click)="onSubmit()">Submit</button>
  </form>
</div>

